Get linked terminal application | Moov Documentation
Get linked terminal application
Verifies if a specific Terminal Application is linked to an Account. This endpoint acts as a validation check for the link's existence.
To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/terminal-applications.read scope.
HTTP Request
GET /accounts/{accountID}/terminal-applications/{terminalApplicationID}
Example CURL Request
curl -X GET "https://api.moov.io/accounts/{accountID}/terminal-applications/{terminalApplicationID}" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.04.00"
Examples in Various Programming Languages
JavaScript
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.accountTerminalApplications.get({
accountID: "76d4c8a0-1f2b-4e3b-8f5c-7a9e1b2c3d4e",
terminalApplicationID: "12345678-1234-1234-1234-123456789012",
});
console.log(result);
}
run();
PHP
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\